Page MenuHomeFreeBSD

Modernize and flavourize p5-RT extension ports
ClosedPublic

Authored by matthew on Sep 22 2018, 11:00 AM.

Details

Reviewers
None
Group Reviewers
portmgr
Commits
rP497055: Modernize and flavourize RT Extension ports
Summary

Convert the RT{40,42,44} options to new rt42 and rt44 flavours.

Drop all references to www/rt40 -- no longer in ports

Default flavour is rt44, but several of these modules only support
rt42.

Ensure @rt42 flavour conflicts with www/rt44 port and vice-versa

Review by portmgr@ due to introduction of new flavours. This adds less than 10 additional
ports to the 'to build' list.

Re-order various sections and re-roll one patch to placate portlint

Update p5-RT-Extension-MandatoryOnTransition to 0.16; all other
modules get a PORTREVISION bump.

Test Plan

poudriere test builds; 10.4, 11.1 release; i386, amd64; all flavours.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

matthew created this revision.Sep 22 2018, 11:00 AM
matthew edited the summary of this revision. (Show Details)Sep 22 2018, 11:04 AM
matthew added a reviewer: portmgr.
matthew edited the summary of this revision. (Show Details)Sep 22 2018, 11:12 AM

Is flavoring really needed? number of packages is exploding and now exp-run take several days to complete.

Is flavoring really needed? number of packages is exploding and now exp-run take several days to complete.

Flavoring here is about as necessary as it is for any other flavored packages: this is nothing special in that respect.
It's only a tiny increment in the number of packages compared to eg. adding PHP and Python flavors, and the packages
don't involve any compilation or other strenuous activity to generate.

mat added inline comments.Sep 24 2018, 12:23 PM
www/p5-RT-Authen-ExternalAuth/Makefile
26 ↗(On Diff #48349)

Having one flavor makes very little sense.

www/p5-RT-Extension-CommandByMail/Makefile
21 ↗(On Diff #48349)

So, this port really conflicts with the rt44 port? Should it not be p5-RT-Extension-CommandByMail-rt44?

25 ↗(On Diff #48349)

It took me about a few minutes rereading of this line before understanding wtf it was doing.

Adding a a line with:

FLAVOR?=	${FLAVORS:[1]}

Would allow this to be a really more readable ${FLAVOR} == rt42.

www/p5-RT-Extension-Gravatar/Makefile
21 ↗(On Diff #48349)

Same here.

25 ↗(On Diff #48349)

Same here.

www/p5-RT-Extension-LDAPImport/Makefile
26 ↗(On Diff #48349)

Same.

30 ↗(On Diff #48349)

Same.

www/p5-RT-Extension-MandatoryOnTransition/Makefile
20 ↗(On Diff #48349)

Same.

24 ↗(On Diff #48349)

Same.

www/p5-RT-Extension-QuickAssign/Makefile
19 ↗(On Diff #48349)

One flavor makes no sense.

www/p5-RT-Extension-SLA/Makefile
22 ↗(On Diff #48349)

One flavor.

www/p5-RTx-Calendar/Makefile
27 ↗(On Diff #48349)

same.

31 ↗(On Diff #48349)

same.

37 ↗(On Diff #48349)

Why +=?

matthew updated this revision to Diff 55401.Mar 24 2019, 1:47 PM
  • Import D17285 changes
  • Don't use flavours where there's only one choice. These modules are
  • No PORTREVISION bump if all we're doing is dropping support for the
  • Set FLAVOR so flavourization actually happens...
  • rtXX_PKGNAMEPREFIX should always end in a -
matthew updated this revision to Diff 55402.Mar 24 2019, 1:56 PM
matthew marked 12 inline comments as done.
  • No need to test for undefinedness as we always set ${FLAVOR} a few
matthew updated this revision to Diff 55403.Mar 24 2019, 2:00 PM
  • Fix longstanding error USES+=perl5 -> USES=perl5

Revive this review after far too long. Address all of @mat's points.

www/p5-RT-Extension-CommandByMail/Makefile
21 ↗(On Diff #48349)

The rt42 flavoured port should conflict with rt44. I reworked this to use a PKGNAMEPREFIX as that seems to be the convention for add-on modules, rather than stand-alone applications.

matthew marked 2 inline comments as done.Mar 24 2019, 2:02 PM
mat accepted this revision as: portmgr.Mar 28 2019, 4:35 PM

I had a quick look, it looks good to me.

This revision was not accepted when it landed; it landed in state Needs Review.Mar 28 2019, 7:26 PM
This revision was automatically updated to reflect the committed changes.